Recurring Billing Cancellation API
Cancel an active recurring billing subscription.
Recurring Billing Cancellation
Cancel an active recurring billing subscription.
API Information
POST/v1/api/regular/unreg
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/regular/unreg운영
https://npay.settlebank.co.kr/v1/api/regular/unregRequest Parameters
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number (no Korean characters).
Merchant order number (no Korean characters).
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID.Customer ID.
└reqDtN(8)Numeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTmN(6)Numeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└rglChrgKeyAN(32)Alphanumeric, up to 32 bytes*Unique recurring billing key.
Unique recurring billing key.
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer device IP address (not the merchant server IP).
Customer device IP address (not the merchant server IP).
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature composition
mchtId + mchtCustId + reqDt + reqTm + rglChrgKey + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
*ST08: If the account is already enrolled, existing account information is returned
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5PaddingCustomer ID.kimhectoCustomer ID.
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number (no Korean characters).
OID201902210001Merchant order number (no Korean characters).
*No Korean characters
└trdNoAN(40)Alphanumeric, up to 40 bytes*Transaction reference number.
STFP_FIRM12345678901234567890Transaction reference number.
Need technical support?
Code Samples
HectoFinancial GitHub